# ApiOzoneListBucketsReq Data Model

Ozone buckets list request payload

Properties
name | data type | description
--- | --- | ---
volume | string |
filter | ApiOzoneFilterSpec |
result | ApiOzoneResultSpec |

Example

    {
      "volume" : "...",
      "filter" : {
        "prefix" : "...",
        "start" : "...",
        "length" : 12345
      },
      "result" : {
        "keepResultFile" : true,
        "resultFileName" : "...",
        "resultLocation" : {
          "bucketRef" : { },
          "key" : "..."
        }
      }
    }